##### basic_datagram_socket::basic_datagram_socket (5 of 10 overloads)

Construct a `basic_datagram_socket`, opening it and binding it to the given local endpoint.

    basic_datagram_socket(
        const executor_type & ex,
        const endpoint_type & endpoint);

This constructor creates a datagram socket and automatically opens it bound to the specified endpoint on the local machine. The protocol used is the protocol associated with the given endpoint.

###### Parameters

ex

  The I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.

endpoint

  An endpoint on the local machine to which the datagram socket will be bound.

###### Exceptions

asio::system_error

  Thrown on failure.